{% extends "templates/web.html" %}

{% block style %}
<style>
	{% include "templates/includes/login/login.css" %}
</style>
{% endblock %}

{% block page_content %}
<!-- {{ for_test }} -->
<div style='min-height: 360px'>
<section class='for-login'>
	<div class="login-content page-card" style="margin-top: 30px;">
        <div class="page-card-head">
            <img class="app-logo" src="/assets/frappe/images/gaisano_logo.png"/>
			<!-- <h5 style="color: #000475; margin-top: 0%;"><strong> ERPNEXT LOGIN</strong></h5> -->
        </div>
		<form class="form-signin form-login" role="form">
            <div class="username-field" style="position: relative;">
			{# <span class="fa fa-user"></span>#}
                <input type="text" id="login_email"
                    class="form-control"
                       style="border-radius: 1.25rem !important; min-height: 45px; padding-left: 15px;"
                    placeholder="{% if login_name_placeholder %}{{ login_name_placeholder  }}{% else %}{{ _('Email Address') }}{% endif %}"
                    required autofocus>
            </div>

			<div class="password-field" style="position: relative;">
				<input type="password" id="login_password"
						class="form-control" style="border-radius: 1.25rem !important; min-height: 45px; padding-left: 15px;" placeholder="{{ _('Password') }}" required>

				<span toggle="#login_password" class="fa fa-fw fa-eye toggle-password text-muted"></span>
			</div>

			<button class="btn btn-sm btn-primary btn-block btn-login indicator" style="font-weight: bolder; border-radius: 1.25rem !important; min-height: 45px; color: #ffff;" type="submit">
				 {{ _("Login") }} </button>

            <p class="text-center forgot-password-message">
                <a style="font-size: 12px;" href="#forgot">{{ _("Forgot Password?") }}</a>
            </p>

			{% if ldap_settings and ldap_settings.enabled %}
			<button class="btn btn-sm btn-default btn-block btn-login btn-ldap-login">
				{{ _("Login with LDAP") }}</button>
			{% endif %}
		</form>
	</div>
	<div class='form-footer'>

			<div class='social-logins'>
			{%- if social_login -%}
				<h6>{{ _("Or login with") }}</h6>

				<p class="text-center" style="margin-top: 15px">
				{% for provider in provider_logins %}
					<a href="{{ provider.auth_url }}"
						class="btn btn-default btn-sm btn-social btn-{{ provider.name }}">
							{{ provider.icon }} {{ provider.provider_name }}</a>
				{% endfor %}
				</p>
			{%- endif -%}
			</div>

	{%- if not disable_signup -%}
		<p class="text-center sign-up-message">
			<a href="#signup" style="margin-top: -2px;">{{ _("Don't have an account? Sign up") }}</a>
		</p>
	{%- endif -%}

	</div>
</section>
<section class='for-signup'>
	<div class="login-content page-card" style="margin-top: 20px;">
	<form class="form-signin form-signup hide" role="form">
		<div class="page-card-head">
			<span class="indicator blue" data-text="{{ _('Sign Up') }}"></span>
		</div>
		<input type="text" id="signup_fullname"
			class="form-control" placeholder="{{ _('Full Name') }}" required autofocus>
		<input type="email" id="signup_email"
			class="form-control" placeholder="{{ _('Email Address') }}" required>
		<button class="btn btn-sm btn-primary btn-block btn-signup" type="submit">{{ _("Sign up") }}</button>
	</form>
	</div>
	<div class='form-footer'>
		<a href="#login" class="blue">{{ _("Have an account? Login") }}</a>
	</div>
</section>

<section class='for-forgot'>
	<div class="login-content page-card" style="margin-top: 20px;">
	<form class="form-signin form-forgot hide" role="form">
		<div class="page-card-head">
			<span class="indicator blue" data-text="{{ _('Forgot Password') }}"></span></div>
		<input type="email" id="forgot_email"
			class="form-control" placeholder="{{ _('Email Address') }}" required autofocus>
		<button class="btn btn-sm btn-primary btn-block btn-forgot" type="submit">{{ _("Reset Password") }}</button>
	</form>
	</div>
	<div class='form-footer'>
		<a href="#login">{{ _("Back to Login") }}</a>
	</div>
</section>
</div>
{% endblock %}

{% block script %}
	<script>{% include "templates/includes/login/login.js" %}</script>
{% endblock %}

{% block sidebar %}{% endblock %}
